Package org.eclipse.m2m.atl.emftvm.util

## Class LazySet.IncludingSet.IncludingSetIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedIterator
    - - org.eclipse.m2m.atl.emftvm.util.LazySet.IncludingSet.IncludingSetIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`

Enclosing class:
  LazySet.IncludingSet<E>

    public class LazySet.IncludingSet.IncludingSetIterator
    extends LazyCollection.WrappedIterator

`Iterator` that appends an object to the underlying collection, except when it already occurs in the underlying collection.

### Field Summary

Fields
`protected boolean` `beforeTail`
`protected boolean` `innerNext`
`protected E` `object`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedIterator

`inner`

### Constructor Summary

Constructors
`IncludingSetIterator​(E object)` Creates a new `LazySet.IncludingSet.IncludingSetIterator`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`E` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### object

    protected final E object

#### beforeTail

    protected boolean beforeTail

#### innerNext

    protected boolean innerNext

### Constructor Detail

#### IncludingSetIterator

    public IncludingSetIterator​(E object)

Creates a new `LazySet.IncludingSet.IncludingSetIterator`.

Parameters:
  `object` - the object to include

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<E>`
Overrides:
  `hasNext` in class `LazyCollection.WrappedIterator`

#### next

    public E next()

Specified by:
  `next` in interface `java.util.Iterator<E>`
Overrides:
  `next` in class `LazyCollection.WrappedIterator`